Unit Avz2r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc;

function Avz2r(var V :Array of Real; N :Integer; ISTEP :Integer;
                var J :Integer): Real;
implementation

function Avz2r(var V :Array of Real; N :Integer; ISTEP :Integer;
                var J :Integer): Real;
var                
IEND,I :Integer;
T,VMAX :Real;
const
ZERO :Real = 0.0E0;
label
_1;
begin
VMAX := ZERO;
J := 1;
IEND := Trunc( 1+(N-1)*ISTEP );
I := 1;
while ( I<=IEND ) do
 begin
  T := Abs(V[I-1]);
  if ( T <= VMAX ) 
   then goto _1;
  VMAX := T;
  J := I;
_1:
  inc(I,ISTEP);
 end;
J := Trunc( (J-1)/ISTEP+1 );
Result := VMAX;
end;

end.
